package com.example.tidalairpeisong.rxhttp.error;

public class ErrorInfo {
    private int errorCode;//仅指服务器返回的错误码
    private String errorMsg;//错误文案，网络错误、请求失败错误、服务器返回的错误等
    private Throwable throwable;//异常信息

    public ErrorInfo(Throwable throwable){
        this.throwable = throwable;
        ExceptionHelper.ResponseException exception = ExceptionHelper.handleException(throwable);
        String errorMsg = exception.message;//网络异常
        this.errorMsg = errorMsg;
    }

    public int getErrorCode() {
        return errorCode;
    }

    public void setErrorCode(int errorCode) {
        this.errorCode = errorCode;
    }

    public String getErrorMsg() {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }

    public Throwable getThrowable() {
        return throwable;
    }

    public void setThrowable(Throwable throwable) {
        this.throwable = throwable;
    }


}
