package com.example.tidalairpeisong;

import android.app.Application;
import android.content.Context;

import androidx.multidex.MultiDex;

import com.example.tidalairpeisong.rxhttp.manager.RxHttpManager;

public class App extends Application {

    private static App instance;

    public static App getInstance() {
        return instance;
    }

    @Override
    public void onCreate() {
        super.onCreate();
        instance = this;
        RxHttpManager.init(this);
    }

    protected void attachBaseContext(Context base) {
        super.attachBaseContext(base);
        MultiDex.install(this);
    }

}