package com.example.tidalairpeisong.rxhttp.error;

import android.content.Context;
import android.widget.Toast;

/**
 * @ClassName ErrorInfo
 * @Description TODO
 * @Antuor Administrator
 * @Date 2021/10/11
 * @Version 1.0
 */
public class NetWorkError {
    public static void error(Context context,Throwable e){
        ExceptionHelper.ResponseException exception = ExceptionHelper.handleException(e);
        switch (exception.code) {
            case ExceptionHelper.ERROR.UNKNOWN:
            case ExceptionHelper.ERROR.PARSE_ERROR:
            case ExceptionHelper.ERROR.NETWORD_ERROR:
            case ExceptionHelper.ERROR.HTTP_ERROR:
            case ExceptionHelper.ERROR.SSL_ERROR:
                Toast.makeText(context, exception.message, Toast.LENGTH_SHORT).show();
                break;
            case -1:
                // 跳转到登陆页面
                break;
            default:
                Toast.makeText(context, exception.message, Toast.LENGTH_SHORT).show();
                break;
        }
    }
}
