package com.example.tidalairpeisong.rxhttp.error;

import android.os.Build;

import androidx.annotation.RequiresApi;

import io.reactivex.rxjava3.functions.Consumer;


@RequiresApi(api = Build.VERSION_CODES.N)
public interface OnError extends Consumer<Throwable> {
    default void accept(Throwable throwable) {
        try {
            onError(new ErrorInfo(throwable));
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    void onError(ErrorInfo error) throws Exception;
}
