package com.example.tidalairpeisong.rxhttp.interceptor;

import android.util.Log;

import okhttp3.logging.HttpLoggingInterceptor;

public class InterceptorUtil {
    //日志拦截器
    public static HttpLoggingInterceptor logInterceptor(){
        return new HttpLoggingInterceptor(new HttpLoggingInterceptor.Logger() {
            @Override
            public void log(String message) {
                Log.e("日志拦截器", "log: "+message);

            }
        }).setLevel(HttpLoggingInterceptor.Level.BODY);//设置打印数据的级别
    }
}
